Endpoints
Credential Gateway
Copy page
RFC 8693 token exchange and platform discovery endpoints
curl -X GET "https://api.pilot.inkeep.com/credential-gateway/.well-known/platforms"{
"platforms": [
{
"credentialRequired": true,
"label": "string",
"pageMatchers": [
{
"hostGlob": "string",
"pageType": "string",
"pathPattern": "string"
}
],
"slug": "string"
}
]
}Token Exchange (RFC 8693)
Request Body
application/x-www-form-urlencoded
audience*string
Length
1 <= lengthgrant_type*string
Value in
"urn:ietf:params:oauth:grant-type:token-exchange"inkeep_app_id*string
resource?string
subject_token*string
Length
1 <= lengthsubject_token_type*string
Value in
"urn:ietf:params:oauth:token-type:access_token"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.pilot.inkeep.com/credential-gateway/token" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'audience=string&grant_type=urn%3Aietf%3Aparams%3Aoauth%3Agrant-type%3Atoken-exchange&inkeep_app_id=string&subject_token=string&subject_token_type=urn%3Aietf%3Aparams%3Aoauth%3Atoken-type%3Aaccess_token'{
"access_token": "string",
"expires_in": 0,
"issued_token_type": "urn:ietf:params:oauth:token-type:access_token",
"token_type": "Bearer"
}{
"error": "string",
"error_description": "string"
}{
"error": "string",
"error_description": "string"
}{
"error": "string",
"error_description": "string"
}{
"error": "string",
"error_description": "string"
}